var helper = (function() {
    var API = {
            user: function() {
                return Superloop.URL.API.domain + '/users/' + Superloop.User.id
            },
            follow: function() {
                return Superloop.URL.API.domain + '/users/' + Superloop.User.id + '/follow'
            },
            unfollow: function() {
                return Superloop.URL.API.domain + '/users/' + Superloop.User.id + '/unfollow'
            }
        },
        APIHelper = {
            getUser: function(options) {
                httpRequest({
                    url: API.user,
                    type: 'GET',
                    dataType: 'json',
                    success: options.success,
                    error: options.error
                });
            },
            setFollow: function(options) {
                httpRequest({
                    url: API.follow,
                    type: 'POST',
                    dataType: 'json',
                    data: options.data,
                    success:options.success,
                    error: options.error
                });
            },
            cancelFollow: function(options) {
                httpRequest({
                    url: API.unfollow,
                    type: 'POST',
                    dataType: 'json',
                    data: options.data,
                    success: options.success,
                    error: options.error
                });
            }
        };
    function httpRequest(options) {
        function fn() {};
        var success = options.success || fn,
            error = options.error || fn;
        Superloop.httpRequest({
            url: options.url(),
            type: options.type,
            dataType: options.dataType,
            data: options.data,
            success: function(response) {
                Superloop.onDataFinished();
                success(response);
            },
            error: function(code, message) {
                Superloop.onDataFinished();
                error(code, message);
            }
        });
    };
    return APIHelper;
})();

window.APIHelper = helper;
