(function(doc, undefined) {
    var lockUserLoad = false,
        $UserDetailEvaluate = $('#UserDetailEvaluate'),
        $UserDetailTopics = $('#UserDetailTopics'),
        $followBtn = $('#followBtn'),
        $IMBtn = $('#IMBtn'),
        $callBtn = $('#callBtn'),
        $personalHead = $('#personalHead'),
        $other_fans = $('#other_fans'), //他人粉丝
        $other_follow = $('#other_follow'), //他人关注
        $other_call = $('#other_call'),
        followText = '关注',
        followedText = '已关注',
        _data = null,
        W = $(window).width(),
        H = parseInt(W * 2 / 3),
        __ = {
            init: function() {
                var _this = this;
                this.initUser(function() {
                    _this.initEvent();
                });
            },
            reload: function() {
                this.initUser();
            },
            initUser: function(callback) {
                if (lockUserLoad) return false;
                lockUserLoad = true;
                var _this = this;
                APIHelper.getUser({
                    success: function(response) {
                        if (response.code === 0 && response.message === 'success') {
                            _data = response.result;
                            _this.setUser();
                        }
                        callback && callback();
                        lockUserLoad = false;
                    },
                    error: function(code, message) {
                        lockUserLoad = false;
                    }
                });
            },

            setUser: function() {
                var divs = '';
                $('#avatorImg').loadImage(_data.avatar);
                $('#personal_bg').loadImage(_data.cover + '@1e_1c_0l_100sh_' + H + 'h_' + W + 'w.src');
                //是否认证
                if (_data.verification_status != 0) {
                    if (_data.verification_status == 1) {
                        $('#attestation').text('认证中');
                    } else {
                        $('#avatorImgV').show();
                        $('#attestation').text('已认证');
                        $('#attestationPic').css({ 'display': 'block' });
                    }
                } else {
                    $('#avatorImgV').hide();
                    $('#attestation').text('未认证');
                    $('#attestationPic').css({ 'display': 'none' })
                };
                //性别判断 1是男 0是女
                if (_data.gender && _data.gender === 'FEMALE') {
                    $('#avatorName').html(_data.nickname + '<i><img src="./assets/icon/Female.png" /></i>');
                } else {
                    $('#avatorName').html(_data.nickname + '<b><img src="./assets/icon/Male.png" /></b>');
                };
                //获取工作信息
                if (_data.work_history && _data.work_history.length > 0) {
                    $('#personalDataWithIN').text(_data.work_history[0].company);
                    $('#avatorPosition').text(_data.work_history[0].position);
                } else {
                    $('#personalDataWithIN').text('');
                    $('#avatorPosition').text('');
                };
                //所在地
                if (_data.location) {
                    $('#personalDataPlace').text(_data.location);
                } else {
                    $('#personalDataPlace').text('');
                };
                //获取教育信息
                if (_data.education && _data.education.length > 0) {
                    $('#personalDataCollege').text(_data.education[0].institution);
                } else {
                    $('#personalDataCollege').text('');
                };
                //获取粉丝和关注
                if (_data.followers) {
                    $('#followers').text(_data.followers);
                } else {
                    $('#followers').text(0);
                };
                if (_data.follows) {
                    $('#follows').text(_data.follows);
                } else {
                    $('#follows').text(0);
                };
                //超级号
                $('#superAccount').text(_data.username);
                //资费
                if (_data.price) {
                    $('#oPrice').text('￥' + _data.price + '元/分钟');
                } else {
                    $('#oPrice').text('￥' + 2 + '元/分钟');
                };
                //星星数量
                var starWidth = $('#starWidth').width();
                $('#user_starW').css('width', starWidth);
                if (_data.credit_level) {
                    var creditLevel = _data.credit_level;
                    $('#avatorStar').css('width', starWidth * (creditLevel / 5));
                };
                // 关注状态
                if (_data.following) {
                    $('#followBtn span').text(followedText);
                    $('#followBtn img').attr('src', './assets/icon/Circular0.png');
                } else {
                    $('#followBtn span').text(followText);
                    $('#followBtn img').attr('src', './assets/icon/Circular1.png');
                };

                // 昵称
                if (_data.nickname) {
                    $('#UserName').text(_data.nickname);
                } else {
                    $('#UserName').text('');
                };
                // 标签
                if (_data.tags.length) {
                    $('#iLabel').html('');
                    for (var i = 0; i < _data.tags.length; i++) {
                        item = _data.tags[i];
                        divs += '<span>' + item.name + '</span>'
                    }
                    $('#iLabel').html(divs);
                } else {
                    $('#iLabel').text('该用户暂未添加标签！');
                };
                //简介
                if (_data.bio) {
                    $('#bio').text(_data.bio);
                } else {
                    $('#bio').text('暂未添加简介');
                };
                //折叠展开
                var maxHeight = $('#bio').height();

                function show() {
                    $('#other_msg').css({ 'height': maxHeight + 'px' });
                    $('#seeAll').html('折叠起来 <span></span>');
                    $('#seeAll span').removeClass('expand');
                    $('#seeAll span').addClass('collapse');
                };

                function hide() {
                    $('#other_msg').css({ 'height': 90 + 'px' });
                    $('#seeAll').html('查看全部 <span></span>');
                    $('#seeAll span').removeClass('collapse');
                    $('#seeAll span').addClass('expand');
                };
                if (maxHeight > 90) {
                    $('#other_msg').css({ 'height': 90 + 'px' });
                    $('#seeAll').show();
                    $('#seeAll').tap(
                        function() {
                            if ($('#other_msg').height() == maxHeight) {
                                hide();
                            } else {
                                show();
                            }
                        }
                    );
                };

            },
            //关注用户
            setFollow: function() {
                if (lockUserLoad) return false;
                lockUserLoad = true;
                var _this = this;
                APIHelper.setFollow({
                    success: function(response) {
                        if (response.code === 0 && response.message === 'success') {
                            Superloop.alert({
                                content: '关注成功'
                            });
                            $('#followBtn img').attr('src', './assets/icon/Circular0.png');
                            $('#followBtn span').text(followedText);
                            parseInt($('#followers').text()) + 1;;
                        }
                        Superloop.updateContacts();
                        lockUserLoad = false;
                        _data.following = true;
                    },
                    error: function(code, message) {
                        lockUserLoad = false;
                        Superloop.alert({
                            content: message
                        });
                    }
                });
            },
            //取消关注
            cancelFollow: function() {
                if (lockUserLoad) return false;
                lockUserLoad = true;
                var _this = this;
                APIHelper.cancelFollow({
                    success: function(response) {
                        if (response.code === 0 && response.message === 'success') {
                            Superloop.alert({
                                content: '已取消关注'
                            });
                            $('#followBtn img').attr('src', './assets/icon/Circular1.png');
                            $('#followBtn span').text(followText);
                            parseInt($('#followers').text()) - 1;
                        }
                        Superloop.updateContacts();
                        lockUserLoad = false;
                        _data.following = false;
                    },
                    error: function(code, message) {
                        lockUserLoad = false;
                        Superloop.alert({
                            content: message
                        });
                    }
                });
            },
            initEvent: function() {
                var args = {
                    nickname : _data.nickname,  //昵称
                    avatar : _data.avatar,      //头像
                    bio : _data.bio             //简介
                };
                //显示title内容
                Superloop.setUser(args);
                
                var _this = this;

                function callPhone() {
                    var data = {
                        id: _data.id,
                        nickname: _data.nickname,
                        avatar: _data.avatar,
                        cover: _data.cover + '@1e_1c_0l_100sh_' + H + 'h_' + W + 'w.src',
                        price: _data.price
                    };
                    Superloop.call(data);
                };
                $followBtn.tap(function() {
                    if(!_data.blocked){
                        _data.following ? _this.cancelFollow() : _this.setFollow();
                    }
                });
                //聊天
                $IMBtn.tap(function() {
                    var data = {
                        id: _data.id
                    };

                    Superloop.IM(data);
                });
                //打电话
                $callBtn.tap(function() {
                    callPhone();
                });
                $other_call.tap(function() {
                    callPhone();
                });
                //评价
                $UserDetailEvaluate.tap(function() {
                    var data = {
                        id: _data.id
                    };
                    Superloop.getEvaluate(data);
                });
                //话题
                $UserDetailTopics.tap(function() {
                    var data = {
                        id: _data.id
                    };
                    Superloop.getTopics(data);
                });
                //粉丝
                $other_fans.tap(function() {
                    var data = {
                        id: _data.id
                    };
                    Superloop.getOtherFans(data);
                });
                //关注
                $other_follow.tap(function() {
                    var data = {
                        id: _data.id
                    };
                    Superloop.getOtherFollow(data);
                });
                //头像
                $personalHead.tap(function() {
                    var head = _data.avatar;
                    head = head.replace('@!avatar', '');
                    var data = {
                        avatar: head
                    };
                    Superloop.imgView(data);
                });
            },

        };
    Superloop.bridge.registerHandler('getBlackStatus', function(data, response) {
        response({ status: _data.blocked });
    });

    Superloop.bridge.registerHandler('changeBlackStatus', function(data, response) {
        _data.blocked = !_data.blocked;
        if (_data.blocked) {
            $('#followBtn span').text(followText);
            $('#followBtn img').attr('src', './assets/icon/Circular1.png');
            _data.following = false;
        }
    });
    Superloop.bridge.registerHandler('otherDetailUserInfo', function(data, response) {
        Superloop.User = data;
        __.init();
    });
    Superloop.Reload(function(){
        __.reload();
    });
})(document);
