(function(doc, undefined) {
    var lockUserLoad = false,
        initEventFlag = false,
        $basicInfo = $('#basicInfo'), //基本信息
        $personalDataContent = $('#personalDataContent'), //更换背景墙
        $personalHead = $('#personalHead'), //更换头像
        $UserFans = $('#UserFans'), //我的粉丝
        $UserWallet = $('#UserWallet'), //我的钱包
        $UserEvaluate = $('#UserEvaluate'), //我得到的评价
        $UserCollect = $('#UserCollect'), //我的收藏
        $UserTopics = $('#UserTopics'), //我的话题
        $UserComment = $('#UserComment'), //我的评论
        $labelModify = $('#labelModify'), //修改标签
        $UcallCharges = $('#UcallCharges'), //修改资费
        $Ucertification = $('#Ucertification'), //认证审核
        $shareOneself = $('#shareOneself'), //分享自己与好友
        $Harassment = $('#Harassment'), //免骚扰
        _data = null,
        
        __ = {
            reload: function() {
                var _this = this;
                this.initPersonalData(function() {
                    if (initEventFlag) return false;
                    initEventFlag = true;
                    _this.initEvent();
                });
            },
            initPersonalData: function(callback) {
                if (lockUserLoad) return false;
                lockUserLoad = true;
                var _this = this;
                APIHelper.getUser({
                    success: function(response) {
                        if (response.code === 0 && response.message === 'success') {
                            _data = response.result;
                            _this.setPersonalData();
                            callback();
                        }
                        lockUserLoad = false;
                    },
                    error: function(code, message) {
                        lockUserLoad = false;
                    }
                });
            },
            setPersonalData: function() {
                var divs = '',
                    W = $(window).width(),
                    H = parseInt(W * 2 / 3);
                //头像           
                $('#avatorImg').loadImage(_data.avatar);
                //背景
                $('#personal_bg').loadImage(_data.cover + '@1e_1c_0l_100sh_' + H + 'h_' + W + 'w.src');

                if (_data.cover) {
                    $('#personal_msg').hide();
                } else {
                    $('#personal_msg').show();
                }
                //是否认证
                if (_data.verification_status != 0) {
                    if (_data.verification_status == 1) {
                        $('#attestation').text('认证中');
                    } else {
                        $('#avatorImgV').show();
                        $('#attestation').text('已认证');
                        $('#attestationPic').css({ 'display': 'block' });
                    }
                } else {
                    $('#avatorImgV').hide();
                    $('#attestation').text('未认证');
                    $('#attestationPic').css({ 'display': 'none' })
                };
                //性别判断
                if (_data.gender && _data.gender === 'FEMALE') {
                    $('#avatorName').html('<span>' + _data.nickname + '</span><i><img src="./assets/icon/Female.png" /></i>');
                } else {
                    $('#avatorName').html('<span>' + _data.nickname + '</span><b><img src="./assets/icon/Male.png" /></b>');
                };
                //获取粉丝
                if (_data.followers) {
                    $('#UserFansNum').text(_data.followers);
                } else {
                    $('#UserFansNum').text(0);
                };
                //余额
                if (_data.amount) {
                    $('#UserAmount').text('￥' + _data.amount);
                } else {
                    $('#UserAmount').text('￥ 0')
                };
                //评价
                if (_data.appraisal_count) {
                    $('#UserEvaluateNum').text(_data.appraisal_count);
                } else {
                    $('#UserEvaluateNum').text(0);
                };
                //屏蔽来电
                $('#Harass_bOk').text(_data.dnd_status == true ? '已开启' : '未开启');
                //职位、就职于
                if (_data.work_history && _data.work_history.length > 0) {
                    $('#personalDataWithIN').text(_data.work_history[0].company);
                    $('#position').text(_data.work_history[0].position);
                } else {
                    $('#personalDataWithIN').text('');
                    $('#position').text('');
                };
                //毕业于
                if (_data.education && _data.education.length > 0) {
                    $('#personalDataCollege').text(_data.education[0].institution);
                } else {
                    $('#personalDataCollege').text('');
                };
                // 认证
                if (_data.verification_status != 0) {
                    if (_data.verification_status == 1) {
                        $('#quality-modify').text('认证中')
                    } else {
                        $('#quality-modify').text('已认证')
                    }
                } else {
                    $('#quality-modify').text('未认证')
                };
                //所在地
                if (_data.location) {
                    $('#personalDataPlace').text(_data.location);
                } else {
                    $('#personalDataPlace').text('');
                };
                //超级号
                $('#superAccount').text(_data.username);

                //资费
                if (_data.price) {
                    $('#price-modify').text(_data.price + ' 元/分钟');
                } else {
                    $('#price-modify').text(2 + ' 元/分钟');
                };
                //星星数
                var starWidth = $('#starWidth').width()
                $('#user_starW').css('width', starWidth);
                if (_data.credit_level) {
                    var creditLevel = _data.credit_level;
                    $('#avatorStar').css('width', starWidth * (creditLevel / 5));
                }
                //简介
                if (_data.bio) {
                    $('#bio').text(_data.bio);
                } else {
                    $('#bio').text('去添加简介');
                };
                //标签
                if (_data.tags.length) {
                    $('#iLabel').html('');
                    for (var i = 0; i < _data.tags.length; i++) {
                        item = _data.tags[i];
                        divs += '<span>' + item.name + '</span>'
                    }
                    $('#iLabel').html(divs);
                } else {
                    $('#iLabel').text('去添加我的标签！');
                };

            },
            initEvent: function() {
                 var args ={
                    nickname : _data.nickname,
                    avatar : _data.avatar,
                    bio : _data.bio
                 };
                 //显示title内容
                Superloop.setUser(args);

                //更换背景墙
                $personalDataContent.tap(function() {
                    Superloop.bridge.callHandler('changeCover', null, function(response) {
                        if (response.code == 601) {
                            $('#personal_bg').loadImage(response.url);
                        } else {
                            alert(response.message);
                        }
                    });
                });

                //更换个人头像
                $personalHead.tap(function() {
                    Superloop.bridge.callHandler('changeAvatar', null, function(response) {
                        if (response.code == 601) {
                            $('#avatorImg').loadImage(response.url);
                        } else {
                            alert(response.message);
                        }
                    });
                });

                //折叠展开
                var maxHeight = $('#bio').height();
                function show() {
                    $('#user_msg').css({ 'height': maxHeight + 'px' });
                    $('#seeAll').html('折叠起来 <span></span>');
                    $('#seeAll span').removeClass('expand');
                    $('#seeAll span').addClass('collapse');
                };

                function hide() {
                    $('#user_msg').css({ 'height': 90 + 'px' });
                    $('#seeAll').html('查看全部 <span></span>');
                    $('#seeAll span').removeClass('collapse');
                    $('#seeAll span').addClass('expand');
                };
                if (maxHeight > 90) {
                    $('#user_msg').css({'height' : 90 +'px'});
                    $('#seeAll').show();
                    $('#seeAll').tap(
                        function() {
                            if ($('#user_msg').height() == maxHeight) {
                                hide();
                            } else {
                                show();
                            }
                        }
                    );
                };
                // 基本信息
                $basicInfo.tap(function() {
                    Superloop.navigate.userInformation();
                });
                // 修改标签
                $labelModify.tap(function() {
                    var args = {
                        tags: _data.tags
                    };
                    Superloop.navigate.labelModify(args);
                });
                //我的粉丝
                $UserFans.tap(function() {
                    Superloop.navigate.fans();
                });
                //我的钱包
                $UserWallet.tap(function() {
                    var args = {
                        amount: _data.amount,
                        stat: _data.deal_password_status
                    };
                    Superloop.navigate.wallet(args);
                });
                //我得到的评价
                $UserEvaluate.tap(function() {
                    var args = {
                        credit: _data.credit_level
                    };
                    Superloop.navigate.avatorStar(args);
                });
                //我的收藏
                $UserCollect.tap(function() {
                    Superloop.navigate.collect();
                });
                //我的话题
                $UserTopics.tap(function() {
                    Superloop.navigate.mineTopic();
                });
                //我发出的评论
                $UserComment.tap(function() {
                    Superloop.navigate.mineComment();
                });
                //修改资费
                $UcallCharges.tap(function(){
                    Superloop.navigate.callCharges();
                });
                //认证审核
                $Ucertification.tap(function(){ 
                    if(_data.verification_status == 0){
                        Superloop.navigate.authentication();
                    };
                });
                //免骚扰
                $Harassment.tap(function(){
                    Superloop.navigate.harassment();
                });
                //分享自己与朋友
                $shareOneself.tap(function(){
                    Superloop.share();
                });
            }
        };
    Superloop.Reload(function() {
        Superloop.bridge.getUser(function() {
            __.reload();
        });
    });
})(document);
